Bug 1291252 - [doc] Documentation needed for how a VM syncs time with a Hypervisor
[doc] Documentation needed for how a VM syncs time with a Hypervisor
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Virtualization_Deployment_and_Administration_Guide (Show other bugs)
7.2
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Jiri Herrmann
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 07:38 EST by Laura Novich
Modified: 2016-11-08 12:18 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-08 12:18:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 27865 None None None 2016-09-28 21:26 EDT

  None (edit)
Description Laura Novich 2015-12-14 07:38:20 EST
Description of problem:
Requested by email on the virt-docs list from Anand Nande <anande@redhat.com>, customer support:

On 12/14/2015 05:02 PM, Anand Nande wrote:
> Hi,
>
> It would be great to have a brief article/doc in RHEL-7.x that 
> explains $subject along-with
> * timeline of events when the hypervisor and guest clock change 
> (time-drift)
> * how can they be adjusted back? OR how are they currently adjusted 
> using RH recommended best-practices
>
> Something on the lines of :
>
> more like
>
> host-NTP -> host-date -> host-hwclock
>         |            `-> guest-hwclock -> guest-date (boot)
>         `~> boot_ns [?] -> guest-kvmclock ~> guest-date (runtime)
>
>
> I have not seen this state diagram defined anywhere in our docs or 
> upstream.
> We can take help of Marcelo Tosatti [mtosatti@redhat.com] in this.
>
> Regards
> --Anand




Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information:
Comment 1 Laura Novich 2015-12-14 07:39:54 EST
consider making this a standalone article as well.
Comment 3 Laura Novich 2015-12-15 03:55:47 EST
Incorporating email from Anand Nande
====================

Something like : http://www.ovirt.org/images/3/3e/StorageLiveMigrationAPIDiagram3.png would be a great idea.

Also we will need to consider the state diagram when the following conditions occur:

    Timer Drift

    Rounding Errors

    Suspend / Resume

    Migration


======================

Note You need to log in before you can comment on or make changes to this bug.